Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config
Class ConfigEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.common.config.ConfigEvent

All Implemented Interfaces:
  Serializable

    public class ConfigEvent

extends EventObject

An event indicating that an exception has happened.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private String` | `key` The name of the choice
`private Choice` | `model` The Choice
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConfigEvent(Object source, String key, Choice model)` Constructs an ConfigEvent object.

Method Summary
`Choice` | `getChoice()` Returns the choice.
`String` | `getKey()` Returns the key.
`Choice` | `getPath()` Returns the choice.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    private String key

  The name of the choice

### model

    private transient Choice model

  The Choice

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### ConfigEvent

    public ConfigEvent(Object source,
                       String key,
                       Choice model)

  Constructs an ConfigEvent object.

  Parameters:
    `source` - The event originator, or log stream

Method Detail

### getKey

    public String getKey()

  Returns the key.

  Returns:
    the key

### getChoice

    public Choice getChoice()

  Returns the choice.

  Returns:
    the choice

### getPath

    public Choice getPath()

  Returns the choice.

  Returns:
    the choice

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD